%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define cllibversion 1-5

Version: 0.7
Name: lvemanager
Summary: LVE control module for cPanel, Plesk, ISPManager, DirectAdmin, InterWorx
Release: 1.32%{?dist}
Group: Applications/System
BuildArch: noarch
License: GPLv3
Url: http://www.cloudlinux.com
Source0: %{name}-%{version}.tar.bz2
BuildRequires: autoconf
Conflicts: cagefs <= 5.2-1

Requires: lve-utils >= 1.3-15
Requires: lve-stats >= 0.10-11
Requires: python-cllib >= %{cllibversion}
Requires: python-simplejson
Requires: sudo
AutoReq: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes: cpanel-lvemanager
Provides: cpanel-lvemanager
Obsoletes: plesk-lvemanager
Provides: plesk-lvemanager
Obsoletes: isp-lvemanager
Provides: isp-lvemanager
Obsoletes: da-lvemanager
Provides: da-lvemanager

Obsoletes: interworx-lvemanager
Provides: interworx-lvemanager

%description
LVE control module for cPanel

%prep
%setup -q

autoconf
%configure --with-bash-malloc=no --with-afs
make


%install
rm -rf $RPM_BUILD_ROOT

if [ -e autoconf ]; then
# Yuck. We're using autoconf 2.1x.
  export PATH=.:$PATH
fi

make DESTDIR=$RPM_BUILD_ROOT install 
mkdir -p $RPM_BUILD_ROOT/usr/share/l.v.e-manager/

cp -r cpanel/ $RPM_BUILD_ROOT/usr/share/l.v.e-manager/
cp -r ispmanager/ $RPM_BUILD_ROOT/usr/share/l.v.e-manager/
cp -r plesk/ $RPM_BUILD_ROOT/usr/share/l.v.e-manager/
cp -r directadmin/ $RPM_BUILD_ROOT/usr/share/l.v.e-manager/
cp -r interworx/ $RPM_BUILD_ROOT/usr/share/l.v.e-manager/
cp -r commons/ $RPM_BUILD_ROOT/usr/share/l.v.e-manager/
cp -r utils/ $RPM_BUILD_ROOT/usr/share/l.v.e-manager/
cp -r tmp/ $RPM_BUILD_ROOT/usr/share/l.v.e-manager/
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cl.selector
mkdir -p %{buildroot}%{python_sitelib}/clquota
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
cp -r commons/lib/clquota/ %{buildroot}%{python_sitelib}
install -m 0755 cpanel/bin/cl-selector $RPM_BUILD_ROOT%{_bindir}
install -m 0755 cpanel/bin/cl-phpextdesc $RPM_BUILD_ROOT%{_bindir}
install -m 0755 cpanel/bin/piniset $RPM_BUILD_ROOT%{_bindir}
install -m 0644 cpanel/lveversion/phpextdesc.txt $RPM_BUILD_ROOT%{_sysconfdir}/cl.selector
install -m 0644 cpanel/configs/php.conf $RPM_BUILD_ROOT%{_sysconfdir}/cl.selector
install -m 0755 commons/bin/cl-quota $RPM_BUILD_ROOT%{_bindir}
install -m 0755 commons/bin/da-addsudoer $RPM_BUILD_ROOT%{_bindir}
install -m 0644 commons/misc/lvemanager-cron $RPM_BUILD_ROOT%{_sysconfdir}/cron.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/l.v.e-manager/*
%{_bindir}/cl-selector
%{_bindir}/cl-phpextdesc
%{_bindir}/piniset
%{_bindir}/cl-quota
%{_bindir}/da-addsudoer
%{_sysconfdir}/cl.selector/phpextdesc.txt
%{_sysconfdir}/cron.d/lvemanager-cron
%{python_sitelib}/clquota/
%config(noreplace) %{_sysconfdir}/cl.selector/php.conf

%posttrans
python /usr/share/l.v.e-manager/install-lvemanager-plugin.py -u
/usr/bin/cl-selector --update-backup
exit 0

%preun
# uninstall?
if [ $1 == 0 ];then
    python /usr/share/l.v.e-manager/install-lvemanager-plugin.py -d
fi
exit 0

%changelog
* Mon Nov 18 2013 Pavel Negrobov <pnegrobov@cloudlinux.com> - 0.7-1.32
- LVEMAN-77 (Fix for ISP Manager). Now only root (server admin) can view/edit any LVE settings

* Tue Nov 12 2013 Savenko Igor <bliss@cloudlinux.com> - 0.7-1.30
- cl-selector: added translations for cpanel
- sudoers functionality moved to separate module
- bugfix LVEMAN-76: lvemanager on ISP broken after removing all domains

* Mon Nov  4 2013 Savenko Igor <bliss@cloudlinux.com> - 0.7-1.29
- cl-selector: empty lines are excluded while processing config files (bugfix)

* Thu Oct 31 2013 Savenko Igor <bliss@cloudlinux.com> - 0.7-1.28
- When DirectAdmin admins not in sudoers file an error message is showed. Added utility for adding admin to sudoers file
- added checks for version and user parameters according LVEMAN-68
- common cagefs and lvemanager shell routines are moved to common file
- removed 'GATEWAY_INTERFACE' env option presence checks because php in DA panel do not pass it
- when SQL query returns multiple values we have to fall back to ftp_user parameter
- LVEInfo.pm: addresses LVEMAN-70 issue (cpanel introduced its own inode usage statistics)
  disables OUR inodes statistics if cpanel version 11.40 or above and file_usage=1 in cpanel.config

* Thu Oct 14 2013 Igor Seletskiy <i@cloudlinux.com>, Savenko Igor <bliss@cloudlinux.com> - 0.7-1.27
- ISPmanager: Fixed permissions for setting up charts (selecting timeframe), to make it accessible by end user
- cl-quota: added errors logging to syslog
- piniset: Added 'append' and 'delete' command line options

* Thu Oct  3 2013 Savenko Igor <bliss@cloudlinux.com> - 0.7-1.26
- cl-quota: fixed non-emptying limits list on batch quota processing

* Wed Oct  2 2013 Savenko Igor <bliss@cloudlinux.com> - 0.7-1.25
- cl-quota: implementation of 'synchronize' method is completely rewritten to loop over existing entries only
  added current quotas redundant fields filtering out

* Thu Sep 26 2013 Igor Seletskiy <i@cloudlinux.com>, Savenko Igor <bliss@cloudlinux.com>, Anton Volkov <avolkov@cloudlinux.com> - 0.7-1.23
- fixed displaying user limits for cpanel panel
  Fixed minlevel for functions (had to be set for all functions/handlers).
  7 - means admin can access
  5 - logged in user
  Fixed russian translation
  Fixed version and plugin names
  Fixed permissions of PHP files, and made sure permissions stick
  to prevent warnings like this:
  WARNING 'LVEPackage.php', file has invalid protection uid=0 gid=0 mode=100644 in ispmgr.log

* Tue Sep 24 2013 Savenko Igor <bliss@cloudlinux.com>, Igor Seletskiy <i@cloudlinux.com> - 0.7-1.21
- clquota/__init__.py: now passwd base is received once via getpwall() and cached in dict

* Mon Sep 23 2013 Savenko Igor <bliss@cloudlinux.com>, Igor Seletskiy <i@cloudlinux.com> - 0.7-1.20
- clquota/__init__.py: fixed exception handling on missing user cache file under ordinary user,
  fixed missing dictionary key on returning user limits,
  added workaround for non-existing device in repquota output,
  fixed spelling
- cl-quota: added simple return on missing saved data file for cron job options (-YC) 

* Thu Sep 19 2013 Igor Seletskiy <i@cloudlinux.com> - 0.7-1.19
- Fixed detailed stats user report for admin in ISP Manager

* Tue Sep 17 2013 Savenko Igor <bliss@cloudlinux.com> - 0.7-1.18
- cl-quota: all code moved to library, user quotas processed according to homedir partition
- cron jobs for cl-quota moved from lve-utils to lvemanager

* Wed Sep  4 2013 Savenko Igor <bliss@cloudlinux.com> - 0.7-1.9
- Plesk panel: on system user determining number of domains is taken into account now

* Wed Sep  4 2013 Savenko Igor <bliss@cloudlinux.com> - 0.7-1.8
- Plesk panel: added additional security checks

* Sat Aug 31 2013 Savenko Igor <bliss@cloudlinux.com> - 0.7-1.7
- Plesk panel: ftp_user parameter is taken when other ways failed

* Fri Aug 30 2013 Savenko Igor <bliss@cloudlinux.com> - 0.7-1.6
- lvemanager for plesk numerous security fixes

* Tue Aug 20 2013 Savenko Igor <bliss@cloudlinux.com> - 0.7-1.4
- cl-quota: default users settings by mistake were applied to root. Fixed

* Thu Aug 15 2013 Savenko Igor <bliss@cloudlinux.com> - 0.7-1.3
- cl-quota: fixed case-insensivity of ConfigParser

* Wed Aug 14 2013 Savenko Igor <bliss@cloudlinux.com> - 0.7-1.2
- extensions.py: fixed removing links from user alternatives directory on missing selector.conf file

* Tue Aug 13 2013 Savenko Igor <bliss@cloudlinux.com> - 0.7-1.1
- LVEInfo.pm: fixed license checking
- cl-quota: fixed package showing if config missing

- Added support for filesystem inodes quo
* Tue Aug 13 2013 Savenko Igor <bliss@cloudlinux.com> - 0.7-1
- Added support for filesystem inodes quotas

* Fri Aug  9 2013 Anton Volkov <avolkov@cloudlinux.com> - 0.6-21
- install-lvemanager-plugin.py: always overwrite destination files while update of lvemanager package (ignore timestamp)
- piniset: added xcache_3 module to description of conflicts
- added description of possible solution for the issue "Cannot find user ID" for Plesk
- piniset: reload user's php processes upon change of php options (bugfix)
- LVEMAN-63. set correct permissions to /usr/share/l.v.e-manager/utils/install-isp-plugin.sh

* Wed Jul 10 2013 Anton Volkov <avolkov@cloudlinux.com> - 0.6-20
- fix LVE Manager for Plesk (bugfix: simplexml_load_file does not work)

* Tue Jul  9 2013 Anton Volkov <avolkov@cloudlinux.com> - 0.6-19
- install-lvemanager-plugin.py: properly install js-scripts for DirectAdmin (bugfix)

* Fri Jul 05 2013 Savenko Igor <bliss@cloudlinux.com> - 0.6-18
- CloudLinux.cgi: fixed incorrect time parameter which is passed to lveps by lvetop

* Thu Jul 04 2013 Savenko Igor <bliss@cloudlinux.com> - 0.6-17
- added base64 support for Plesk and DA panels

* Thu Jul 04 2013 Savenko Igor <bliss@cloudlinux.com> - 0.6-13
- added stub file for phpinfo
- added base64 encoding key-value pairs of php.ini options
- rewritten /usr/bin/piniset
- fixed truncating files when writing to them is impossible

* Fri Jun 21 2013 Savenko Igor <bliss@cloudlinux.com> - 0.6-12
- Plesk: fixed incorrect system user picking;
- Plesk: fixed unsetting array in the whole instead of first element and attempt to find a key in string in selectUserOpt.php

* Wed Jun 05 2013 Savenko Igor <bliss@cloudlinux.com> - 0.6-11
- cl-selector: fixed regression bug related to call arguments

* Wed Jun 05 2013 Savenko Igor <bliss@cloudlinux.com> - 0.6-10
- cPanel lvemanager: fixed security issues related to missing privileges and parameters checks

* Mon Jun 03 2013 Savenko Igor <bliss@cloudlinux.com> - 0.6-9
- modified end user extensions and options pages to address custom cpanel themes support problems
- removed obsolete files
- restored error message when user is not in CageFS
- added PHP settings replace list options checks

* Fri May 24 2013 Savenko Igor <bliss@cloudlinux.com>, Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.6-8
- piniset: fixed bug on Plesk panel when on calling php-cgi -qi alternative php starts as FCGI process
- improved custom cpanel skins support (in particular for rvskin)
- cl-selector: added command arguments errors processing
- end user php selector extensions and options pages: when native version is selected 'save' and 'default' buttons were removed from page instead of simply to be disabled. Fixed.
- Small problem with html output in firefox (bugfix)
- ISPManager plugin error. When you create account from WHMCS (bugfix)
- cl-selector: Added conflicts between apc & zend_optimizer.

* Mon May 20 2013 Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.6-6.8
- PHP Selector for DirectAdmin: Added PHP Settings edit.

* Thu May 16 2013 Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.6-6.7
- PHP Selector for DirectAdmin: handle error when user is not in CageFS (bugfix).
- LVEmanager for ISPManager: resource usage top image fixed (bugfix).
- LVEmanager for ISPManager: added /etc/init.d/cl-ispsystems for load correct plugin on reboot (bugfix).
- LVEManager for ISPManager, DirectAdmin, InterWorx: install-lvemanager-plugin.py -u|-i always update files (bugfix).

* Fri May 10 2013 Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.6-6.6
- Added line in /etc/sudoers for PHP Selector (bugfix)

* Wed May  8 2013 Savenko Igor <bliss@cloudlinux.com> - 0.6-6.5
- piniset: php info now is taken from php-cgi binary

* Tue Apr 30 2013 Savenko Igor <bliss@cloudlinux.com>, Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.6-6.4
- Rewritten PHP selector for cPanel
- Added PHP selector for Direct Admin
- Added PHP selector for Plesk
- added fs.proc_super_gid = (iworx gid) for Iworx CP (Bugfix)

* Tue Apr 16 2013 Savenko Igor <bliss@cloudlinux.com> - 0.6-6.3
- CloudLinux.cgi: rewritten and extended JSON interface for lvectl

* Thu Apr 11 2013 Anton Volkov <avolkov@cloudlinux.com> - 0.6-6.2
- declare /etc/cl.selector/php.conf as config(noreplace)

* Thu Apr 11 2013 Savenko Igor <bliss@cloudlinux.com> - 0.6-6.1
- install-lvemanager-plugin.py: added subroutine amending absence of default value for error_reporting directive in php.conf

* Wed Apr 10 2013 Savenko Igor <bliss@cloudlinux.com> - 0.6-6
- piniset: fixed passing empty string to error_reporting php code transforming function
- php.conf: added default for error_reporting directive

* Thu Apr 4 2013 Savenko Igor <bliss@cloudlinux.com> - 0.6-5
- altextensions.cgi: fixed submition of empty string.

* Thu Mar 28 2013 Savenko Igor <bliss@cloudlinux.com> - 0.6-4
- piniset: for determining current php version a php binary link only is examined now.

* Wed Mar 27 2013 Savenko Igor <bliss@cloudlinux.com>, Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.6-3
- CloudLinux.cgi: added JSON interface for lvectl commands
- install_module.pl: restored ability to show/hide left-side user statistics column in accordance with WHM lvemanager settings (bugfix)
- extensions.py: bugfix -- fixed occasional wrong selector output depending on symlinks set; fixed argumets set for set_alternatives call
- extensions.py: added exceptions handling while processing files
- extensions.py: option '--with-reload' marked as deprecated and left for compatibility; it is On (enabled) by default
- install_module.pl: added processing additional cpanel themes
- CloudLinux.cgi: added processing additional cpanel themes
- extensions.py: on displaying current user php version now only php-cgi path is searched for (instead of first matching path)
- Added trim() before exec command in Plesk lvemanager plugin. (Bugfix)

* Mon Mar 18 2013 Savenko Igor <bliss@cloudlinux.com> - 0.6-2
- CloudLinux.cgi: Added button for showing chart in WHM lvemanager 'History' page.
  In lvemanager 'Selector' tab builtin modules labels are shown in italics
- lvephpselector.js: CPanel WHM lveversion 'Selector' tab builtin modules labels are shown in italics

* Thu Mar 14 2013 Savenko Igor <bliss@cloudlinux.com> - 0.6-1
- Added chaning php.ini settings for a user funcionality
- Added cpanel end user php.ini settings interface

* Mon Mar 4 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-67
- CloudLinux.cgi: fixed crash on attempt to reset user's settings

* Thu Feb 21 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-66.1
- Raised version to build package

* Wed Feb 20 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-66
- CloudLinux.cgi: added hiding non-relevant fields in forms for CL5
- removed obsolete files (patches for index.html)

* Tue Feb 19 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-65
- fixed error in lvereset parameters naming

* Wed Feb 13 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-64
- altextensions.cgi: fixed saving user settings to home directory on update

* Wed Feb 6 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-63
- CloudLinux.cgi: fixed not showing all but memory columns values in stats
- cl-phpextdesc: fixed shebang string
- end-user selector version choosing control: select control lookup chagned from form name to id

* Mon Feb 4 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-62
- fixed patching of index.html file; bugfixes in CloudLinux.cgi, cl-selector

* Tue Jan 29 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-61
- Changed perl scripts shebang construction to work with new cpanel panels

* Tue Jan 29 2013 Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.5-60
- Fixed parser lvectl for ISPmanager (Bugfix).

* Wed Jan 23 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-59
- CloudLinux.cgi: fixed edit forms settings applying

* Wed Jan 23 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-58
- CloudLinux.cgi: fixed 'Current Usage' tab scrolling

* Wed Jan 23 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-57
- resourceusagedetails.html: fixed path for lvechart
- lveusage.tmpl: details table is completely hidden if no data
- CloudLinux.cgi: fixed cpanel.config processing

* Tue Jan 22 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-56
- changed notifications popups, php-extensions flow direction,
  removed disabled entries from enduser drop-down select, on applying
  defaults for enduser if no defaults native module set is applied.

* Fri Jan 17 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-55
- some bugfixes

* Thu Jan 17 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-54
- some bugfixes

* Thu Jan 17 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-53
- install_module.pl: paths update.

* Thu Jan 17 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-52
- install_module.pl: bugfix release.

* Wed Jan 09 2013 Savenko Igor <bliss@cloudlinux.com> - 0.5-51
- cl-selector: added processing defaults.cfg, checking user configs owner,
  finding native, updating dependencies
- CloudLinux.cgi: total code refactoring, javascript functionality moved
  to separate files
- php extensions descriptions are generated by separate script (cl-phpextdesc)
- lveselect.html: javascript functionality moved to separate files
- LVEInfo.pm end user functionality split into separate functions.
  cl-selector calls minimized. All processing config files functionality
  moved to cl-selector
- all php extensions dependencies processing moved from javascript to cl-selector
- bugfixes

* Tue Jan 08 2013 Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.5-50
- Added formated lveps output for DirectAdmin.

* Wed Dec 5 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-49
- cPanel lvemanager: fixed misspelled label

* Wed Dec 5 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-48
- cPanel: bugfix release. Fixed bugs in processing admin and enduser defaults

* Tue Dec 4 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-47
- cPanel: enduser defaults redo: it sets enduser modules set in accordance with admin panel defaults

* Tue Dec 4 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-46
- cPanel: added button to end user interface to enable defaults

* Thu Nov 29 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-45
- Submit button in resourceusagedetails.html has been renamed to 'Show'
- php-selector: added titles for zend_optimizer and zend_guard_loader modules

* Tue Nov 27 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-44
- CloudLinux.cgi: fixed broken layout in statistics tab, fixed IE issues,
  added hiding non-installed versions from selector

* Fri Nov 23 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-43
- CloudLinux.cgi: fixed version enabling on modules list update

* Wed Nov 21 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-42
- fixed "Current Usage" tab scrolling. Added -d -c keys for lveps call.

* Tue Nov 20 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-41
- ioncube is guaranteed to stay on top of alt_php.ini file

* Tue Nov 20 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-40
- bugfix release

* Wed Nov 14 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-39
- cPanel lvemanager: added php-selector modules dependencies handling,
  ability for an admin to disable certain php versions, rewritten "Current Usage" tab layout
- install_plugin.pl: added some file existance checking

* Thu Nov 09 2012 Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.5-38
- Fixed InterWorx Edit and Reset pages, removed warning messages (bugfix).

* Thu Oct 25 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-37
- fixed cl-selector, added columns delimiters for enduser selector interface

* Thu Oct 25 2012 Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.5-36
- Fixed parsers lvectl from IOPRIO colum to IO.

* Wed Oct 24 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-35
- Enduser lve resourceusage interface: fixed showing faults for unlimited resources

* Tue Oct 23 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-34
- Package rebuild due to building system problems

* Mon Oct 22 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-33
- lvemanager: fixed getting data from /var/lve/info
- CloudLinux.cgi: fixed ie javascript bug, IOPRIO names changed to IO (according to change in lvectl)

* Mon Oct 22 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-32
- lvemanager: added help on mouseover for lveselector and end user modules choice interfaces
- Adapted lvemanager for cPanel 11.34

* Thu Oct 18 2012 Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.5-31
- Addded InterWorx LVEmanager.

* Wed Oct 10 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-30
- bugfixes in CloudLinux.cgi, install-lvemanager-plugin.py, install_module.pl

* Tue Oct 09 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-29
- CloudLinux.cgi: added alternative php compiled modules into list
- enduser php-selector functionality is installed via selectphpversion.plugin

* Sat Oct 06 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-28
- CloudLinux.cgi: fixed incorrect handling of defaults.cfg file absence

* Fri Oct 05 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-27
- fixed layout bug on package names with non-alpha-numeric_symbols

* Thu Oct 04 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-26
- fixed install_plugin crash due to missing image

* Wed Oct 03 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-25
- added backup after checkbox change in enduser interface

* Wed Oct 03 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-24
- bugfixes
- removed ability to add/remove php selector functionality from lvemanager 'selector' menu

* Wed Oct 03 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-23
- added ability to add/remove php selector functionality from lvemanager 'selector' menu
- added ability to set cpanel defaults for php selector

* Tue Sep 25 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-22
- renamed all 'alternatives'/'alt' tokens to 'selector'

* Thu Sep 20 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-21
- CloudLinux.cgi: rename 'CageFS' tab to 'Alternatives', imporoved interface, added processing dynamicui.conf and cpanel.config
  on enable/disable events.
- lveselect.html, lveselect.html, LVEInfo.pm changed to comply with CloudLinux.cgi interface requirements
- cl-alternatives: added possibility for cpanel alternatives user configuration backup
- CloudLinux.cgi: added CageFS option in cpanel-lvemanager for administrator to choose default interpreter and modules versions
- cl-alternatives: added possibility for multiple users/modules actions

* Tue Sep 18 2012 Alexey Berezhok <alexey_com@ukr.net> - 0.5-20
- Fixed path for plesk cgi script

* Tue Sep 18 2012 Alexey Berezhok <alexey_com@ukr.net> - 0.5-19
- Fixed Plesk API version to 1.6.3.2 for IPv6 supporting

* Tue Sep 18 2012 Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.5-18
- Added sudo Requires. Fixed path for plesk cgi script

* Tue Sep 11 2012 Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.5-17
- Added IO limits for ISPmanager on CL6.

* Tue Sep 04 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-16
- Removed php-selection options because of moving them to a new branch

* Tue Sep 04 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-15
- CloudLinux.cgi: setting showing enduser options instead of hiding by default

* Mon Sep 03 2012 Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.5-14
- Fixed php.ini path for DirectAdmin (bugfix).
- Added ISPmanager rus translate.

* Wed Aug 22 2012 Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.5-13
- Added fixed DirectAdmin Resource usage (bugfix).

* Mon Aug 20 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-12
- minor bugfixes in cl-alternatives

* Sat Aug 18 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-11
- minor bugfixes in cl-alternatives, install-lvemanager-plugin.py, install_module.pl files

* Fri Aug 17 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-10
- cPanel end user plugin: added functionality to select php version for a user

* Thu Aug 16 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-9
- cPanel lvemanager: added processing additional config files to toggle resourse usage showing

* Mon Aug 16 2012 Savenko Igor <bliss@cloudlinux.com> - 0.5-8
- Release version has been raised to fix update
- cPanel lvemanager: version numbers problem which caused to incorrect files updates has been handled

* Fri Aug 10 2012 Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.5-7
- Added compatibility for ISPmanager < 4.4.7 (bugfix).

* Tue Aug 07 2012 Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.5-6
- Added DirectAdmin plugin

* Mon Aug  6 2012 Igor Savenko <bliss@cloudlinux.com> - 0.5-5
- Showing/hiding enduserlve has been rewritten in accordance with cPanel API
- Removed templates lveindexboxes.tmpl and indexboxes.tmpl

* Fri Aug  3 2012 Igor Savenko <bliss@cloudlinux.com> - 0.5-5
- x3/branding/index.html has been rewritten to show or hide enduserlve data depending on checkbox
- in WHM interface.
- Added templates x3/branding/lveindexboxes.tmpl and x3/branding/indexboxes.tmpl. Displaying main index.html
- page content moved to the templates.

* Thu Aug  2 2012 Igor Savenko <bliss@cloudlinux.com> - 0.5-5
- CloudLinux.cgi: fixed package name spaces issue (spaces in package name broke table structure)

* Tue Jul 31 2012 Igor Savenko <bliss@cloudlinux.com> - 0.5-4
- CloudLinux.cgi: rewritten to use "lvectl paneluserslimits" and "lvectl package-list" for "Settings" and "Packages" sections

* Thu Jul 26 2012 Alexey Berezhok <alexey_com@ukr.net>, Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.5-3
- ispmanager: added correct view for accounts page (bugfix).

* Thu Jul 26 2012 Alexey Berezhok <alexey_com@ukr.net>, Krishtopin Anton <akrishtopin@cloudlinux.com> - 0.5-2
- ispmanager: added reset personal user settings (bugfix)
- ispmanager: added support lvectl paneluserslimits on accounts settings.

* Mon Jul 16 2012 Alexey Berezhok <alexey_com@ukr.net> - 0.5-1
- Rebase plugin structure (prepared for universal multypanel plugin)
- Added plesk-, cpanel-lvemanager
- Added owner filed and iolimits to Plesk lve manager
- Added ispmanager plugin
- Updated cpanel plugin

* Fri Jul 13 2012 Anton Volkov <avolkov@cloudlinux.com>, Igor Savenko <bliss@cloudlinux.com> - 0.4-10
- CloudLinux.cgi: show KB/s units for IO; after edit packages show list of packages not settings of lves
- Cpanel end-user plugin: show KB/s units for IO; hide limits when they are equal to zero
- added handling of width of history table (resourceusagedetails.html)

* Thu Jul 12 2012 Anton Volkov <avolkov@cloudlinux.com>, Igor Savenko <bliss@cloudlinux.com>, Alexey Berezhok <alexey_com@ukr.net> - 0.4-9
- CloudLinux.cgi: added io usage and io limit
- added end-user plugin (CPanel)
- CloudLinux.cgi: do not show reseller's packages
- CloudLinux.cgi: packages properly inherit limits from defaults (bugfix); do not display 'default' package
- CloudLinux.cgi: display *REAL* settings for LVE from /proc/lve/list in Settings page (bugfix)

* Fri Jul  6 2012 Anton Volkov <avolkov@cloudlinux.com> - 0.4-8
- cpanel-lvemanager.spec: increased lve-utils version in Requires directive
- cpanel-lvemanager.spec: added Requires lve-stats

* Wed Jul  4 2012 Anton Volkov <avolkov@cloudlinux.com> - 0.4-7
- install hooks while update of the package (bugfix)

* Tue Jul  3 2012 Anton Volkov <avolkov@cloudlinux.com> - 0.4-6
- cgi/CloudLinux.cgi: increased "internal" version of plugin (inside CloudLinux.cgi)

* Tue Jul  3 2012 Igor Savenko <bliss@cloudlinux.com> - 0.4-5
- Added hiding unlimited fields in statistics, fixed header fields incompartibility.

* Thu Jun 28 2012 Anton Volkov <avolkov@cloudlinux.com> - 0.4-4
- CloudLinux.cgi: added changes by Igor Bliss
- cpanel-lvemanager.spec, hooks/*, utils/install_module.pl:
  all occurrences of "lvemanager" in paths and filenames are changed to "l.v.e-manager"

* Tue Jun 12 2012 Anton Volkov <avolkov@cloudlinux.com> - 0.4-3
- added CPanel postwwwacct hook
- added CPanel prekillacct hook

* Fri Jun  8 2012 Anton Volkov <avolkov@cloudlinux.com> - 0.4-2
- added CPanel postupcp hook

* Fri Jun  8 2012 Igor Savenko <bliss@cloudlinux.com> - 0.4-1
- WHM LVE Manager User Interface has been completely rewritten
- Added limits settings for packages
- Added ajax-driven top-like VE statistics

* Fri Apr 22 2011 Anton Volkov <avolkov@cloudlinux.com> - 0.3-4
- Changed licensing

* Thu Apr  7 2011 Anton Volkov <avolkov@cloudlinux.com> - 0.3-3
- Do NOT round memory limit in "Edit Settings" form (bugfix)

* Mon Jan 24 2011 Anton Volkov <avolkov@cloudlinux.com> - 0.3-2
- Limits are read from /proc/lve/list, not from /etc/container/ve.cfg

* Wed Jan 19 2011 Anton Volkov <avolkov@cloudlinux.com> - 0.3-1
- Added memory limit setting feature
- Added memory usage viewing
- Added memory statistics and history
- Added memory chart
- Added "Number of Cores Per LVE" setting
- Added provessing of invalid enter of lve_id/username
- Modified history and statistics div's handling

* Mon Nov 1 2010 Igor Seletskiy <iseletsk@cloudlinux.com> - 0.2-2
- Added historical information reporting
- Added charts
- Added ability to edit LVE for any customer

* Tue Sep 21 2010 Igor Seletskiy <iseletsk@cloudlinux.com> - 0.1-2
- fixed bug with runin fields in lveps output

* Tue Sep 14 2010 Igor Seletskiy <iseletsk@cloudlinux.com> - 0.1-1
- Initial release
